require("telescope").load_extension("zf-native")
require("telescope").load_extension("projects")
require("telescope").load_extension("egrepify")

local builtin = require("telescope.builtin")

-- greps
vim.keymap.set("n", "<leader>ff", builtin.find_files, { desc = "Find Files" })
-- vim.keymap.set("n", "<leader>fg", builtin.live_grep, { desc = "Live Grep" })
vim.keymap.set("n", "<leader>fg", ":Telescope egrepify<CR>", { desc = "Live Grep" })
vim.keymap.set("n", "<leader>fb", builtin.buffers, { desc = "Buffers" })

-- register reading
vim.keymap.set("n", "<leader>r", builtin.registers, { desc = "View registers" })

-- lsp stuff
vim.keymap.set("n", "<leader>pr", builtin.lsp_references, { desc = "References" })
vim.keymap.set("n", "<leader>pi", builtin.lsp_implementations, { desc = "Implementations" })
vim.keymap.set("n", "<leader>pd", builtin.lsp_definitions, { desc = "Definitions" })
vim.keymap.set("n", "<leader>ps", builtin.lsp_document_symbols, { desc = "Document Symbols" })
vim.keymap.set("n", "<leader>pws", builtin.lsp_workspace_symbols, { desc = "Workspace Symbols" })
vim.keymap.set("n", "<leader>pwd", builtin.lsp_dynamic_workspace_symbols, { desc = "Dynamic Workspace Symbols" })
