(module config.core
  {autoload {nvim aniseed.nvim}})

(set nvim.o.number true)
(set nvim.o.relativenumber true)
(set nvim.o.tabstop 4)
(set nvim.o.shiftwidth 4)
(set nvim.o.smarttab true)
(set nvim.o.expandtab true)
(set nvim.o.hidden true)
(set nvim.o.showtabline 1)
(set nvim.o.title true)
(set nvim.o.list true)
(set nvim.o.listchars "tab:→ ,eol:¬,trail:•,extends:❯,precedes:❮,space:‣")
(set nvim.o.showbreak "↪")
(set nvim.o.timeoutlen 500)
(set nvim.o.ignorecase true)
(set nvim.o.smartcase true)
(set nvim.o.splitbelow true)
(set nvim.o.splitright true)
(set nvim.o.inccommand "split")
(set nvim.o.termguicolors true)
(set nvim.o.wildmenu true)
(set nvim.o.wildmode "list:longest,full")
(set nvim.o.mouse "a")
(set nvim.o.updatetime 500)
(set nvim.o.sessionoptions "blank,curdir,folds,help,tabpages,winsize")

(nvim.ex.au "TextYankPost * silent! lua vim.highlight.on_yank()")
