#!/bin/bash
if [[ ! -x $(command -v nix) ]]; then
	echo "make sure to install nix"
	exit 1
fi

nix-channel --add https://github.com/nix-community/home-manager/archive/master.tar.gz home-manager
nix-channel --update

nix profile install --accept-flake-config nixpkgs#cachix
cachix use

nix-shell '<home-manager>' -A install

nix flake update

./update.sh -a
